/*
 * (C) Copyright 2002
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright 2005 Dan Gilson, Network Appliance, Inc.
 * Copyright 2005 Hong Huang, Network Appliance, Inc.
 */

/*
 * To build the utility with the run-time configuration
 * uncomment the next line.
 * See included "fw_env.config" sample file (TRAB board)
 * for notes on configuration.
 */
/* define CONFIG_FILE     "/mnt/logs//etc/fw_env.config" */

#define HAVE_REDUND /* For systems with 2 env sectors */
#define HAVE_REDUND
#define DEVICE1_NAME      "/dev/mtd/0"
#define DEVICE2_NAME      "/dev/mtd/5"
#define DEVICE1_OFFSET    0x0000
#define ENV1_SIZE         0x1000
#define DEVICE1_ESIZE     0x10000
#define DEVICE2_OFFSET    0x0000
#define ENV2_SIZE         0x1000
#define DEVICE2_ESIZE     0x10000

#define CONFIG_BAUDRATE		9600
#define CONFIG_BOOTDELAY	3	/* autoboot after 3 seconds	*/
#if 1
#define CONFIG_BOOTCOMMAND							\
	"setenv bootargs mtdparts=phys_mapped_flash:64k(envb)," \
	"4032k@64k(spare-logs),3m@4m(initrdb),768k@7m(kernelb),"\
	"256k@7936k(u-bootb),64k@8m(envp),4032k@8256k(logs),"\
	"3m@12m(initrdp),768k@15m(kernelp),256k@16128k(u-bootp)"\
	"console=ttyS1,9600 root=/dev/ram0 rw "\
	"ip=$(ipaddr):$(serverip):$(gatewayip):$(netmask):$(hostname)::off "\
	";bootm 0xfff00000 0xffc00000"
#else
#define CONFIG_BOOTCOMMAND							\
	"bootp; " 								\
	"setenv bootargs root=/dev/nfs nfsroot=$(serverip):$(rootpath) " 	\
	"ip=$(ipaddr):$(serverip):$(gatewayip):$(netmask):$(hostname)::off; " 	\
	"bootm"
#endif

extern		void  fw_printenv(int argc, char *argv[]);
extern unsigned char *fw_getenv  (unsigned char *name);
extern		int   fw_setenv  (int argc, char *argv[]);
extern      int   fw_setenvm  (int argc, char *argv[]);

extern unsigned	long  crc32	 (unsigned long, const unsigned char *, unsigned);
